// must be present for backwards compatibility
window.unavailableMessage = true;
window.upgradeRequiredMessage = true;

function setupVideoFrame(sourceUrl) {	
	var video = document.getElementsByTagName("video")[0];
	var source = document.getElementsByTagName("source")[0];
	
	var setupMenu = function() {
		
		var showMenu = function() {
			var rect = video.getBoundingClientRect();
			var x = rect.left + rect.width/2;
			var y = rect.top + rect.height/2;
			var wnd = window;
			while (wnd != top) {
				var frame = wnd.frameElement.getBoundingClientRect();
				x += frame.left;
				y += frame.top;
				wnd = wnd.parent;
			}
			offlinePagesApi.makeObjCCall("video-menu", {
				x: Math.round(x),
				y: Math.round(y),
				src: sourceUrl
			});
		};
	
		video.addEventListener("click", function(e) {
			showMenu();
		}, false);
		
		video.addEventListener("play", function(e) {
			showMenu();
			video.pause();
		}, false);
	};
	
	offlinePagesApi.resolveUrl(source.src, function(local) {
		if (!local || !local.match(/\.(mpeg|mp3|mp4|mov|m4v|m4a)(#.*)?$/)) {
			setupMenu();
		}
	});
};
